DC_BLUETOOTH_STR2ADDR(3)

NAME
dc_bluetooth_str2addr - Convert a string to a bluetooth address.

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/bluetooth.h>
dc_bluetooth_address_t
dc_bluetooth_addr2str(const char *address);

DESCRIPTION
Convert a string to a bluetooth address.

The string address is expected to be in the format XX:XX:XX:XX:XX:XX, where each XX is a hexadecimal number specifying an octet of the 48-bit address.

The reverse can be done with dc_bluetooth_addr2str(3).

RETURN VALUES
Returns the bluetooth address represented as a 48-bit number.

SEE ALSO
dc_bluetooth_addr2str(3).

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org.
This manpage is written by Vincent Hagen, vinnie@script4web.nl.